{% extends 'Templates/layout.html.twig' %}
{% form_theme formView 'Templates/Forms/layout_form.html.twig' %}

{% block body %}
    <section class="mtb-50 mlr-50">
        <h1 class="text-center text-blue text-bold">
            {% if edit is defined and user is defined %}
                Edition d'un Utilisateur ({{ user.username }})
            {% else %}
                Ajout d'un Utilisateur
            {% endif %}
        </h1>

        <hr class="hr-add w-100">

        {% if errors is not empty %}
            {% for error in errors %}
                <span class="alert alert-danger d-block d-center w-60">{{ error }}</span>
            {% endfor %}
        {% endif %}


        <article class="form-custom">

            {{ form_start(formView) }}

            {% if edit is not defined and user is not defined %}
                <div>
                    {{ form_label(formView.username) }}
                    {{ form_widget(formView.username) }}
                </div>

                <div>
                    {{ form_widget(formView.password) }}
                </div>
            {% endif %}

            <div>
                {{ form_label(formView.role) }}
                {{ form_widget(formView.role) }}
            </div>

            {{ form_end(formView) }}
            
        </article>
    </section>
{% endblock %}